/* Copyright (c) 2013 ACCESS CO., LTD. All rights reserved. */

var _ACS = _ACS || {};

_ACS.playList = {};
_ACS.playNumber = 1;

_ACS.Player = function() {

  function modifyMediaPlayerForExternal(media) {
    var result = "[";
    var count = 0;

    $acsJQuery(media)
      .each(function() {
        if (count > 0) result = result.concat(",");
        result = result.concat(JSON.stringify({index:count++, src:this.currentSrc}));

        this.play = function() {
          if (!this.playID) {
            _ACS.playList[_ACS.playNumber] = this;
            this.playID = _ACS.playNumber;
            _ACS.playNumber++;
          }
          callback('play', this.playID, this.currentSrc);
        };

        this.pause = function() {
          callback('pause', this.playID, this.currentSrc);
        }

        this.setCurrentTime = function(time) {
          callback('setCurrentTime', this.playID, time);
        }

    });
    result = result.concat("]");
    return result;
  }

  function callback(_type, _playID, _arg) {
    _ACS.callback('externalplayer:' + JSON.stringify({type:_type, playID:_playID, arg:_arg}));
  }

  return {
    modifyMediaPlayerForExternal: modifyMediaPlayerForExternal
  }

}();

_ACS.Player.postMediaEnded = function(_playID) {
  console.log("postMediaEnded: " + _playID);
  var media = _ACS.playList[_playID];
    if (!media) {
	  return;
	}

  _ACS.playList[id] = undefined;

  var event = document.createEvent('HTMLEvents');
  event.initEvent('ended', false, false);
  media.dispatchEvent(event);
};
