/*
 * IMGDownloadService.aidl
 * Copyright(c) 2010-2013 ACCESS CO., LTD.
 * All rights are reserved by ACCESS CO., LTD.
 * whether the whole or part of the source code including any modifications.
 */
package com.access_company.android.sh_jumpplus;

import com.access_company.android.sh_jumpplus.IMGDownloadManager;

interface IMGDownloadService {
	int rebindNotify(in IMGDownloadManager listener, out List<String> downloading_list);
	int startJarDownload(in String url_prefix, in String file_name, in long file_size, in String content_id, in String title, boolean isInterrupt, IMGDownloadManager listener, boolean useRetry, in int requestType);
	int startContentDownload(in String url_prefix, in byte[] file_list, in int file_list_size, in String content_id, in String title, boolean isInterrupt, IMGDownloadManager listener, boolean useRetry, int downloaded_num, in int requestType);
	int rebindNotifyGetDownloadList(in IMGDownloadManager listener, out List downloading_list);
	int cancelDownload(in String contentId, in boolean notifyNotification);
	boolean requestChangeDownloadFileOrder(in String contentId, in String targetFile);
	boolean isDownloadingQueuing(String contentsId); 
	boolean isDownloadWaiting(String contentsId);
}
